# FullscreenButton

#### new Cesium.FullscreenButton(container, fullscreenElement)
Widgets/FullscreenButton/FullscreenButton.js 26

A single button widget for toggling fullscreen mode.

Name | Type | Default | Description
--- | --- | --- | ---
`container` | Element | String |  | The DOM element or ID that will contain the widget.
`fullscreenElement` | Element | String | `document.body` | optional The element or id to be placed into fullscreen mode.

##### Throws:

- DeveloperError : Element with id "container" does not exist in the document.

##### See:

- Fullscreen

### Members

#### container : Element
Widgets/FullscreenButton/FullscreenButton.js 68

Gets the parent container.

#### viewModel : FullscreenButtonViewModel
Widgets/FullscreenButton/FullscreenButton.js 80

Gets the view model.

### Methods

#### destroy()
Widgets/FullscreenButton/FullscreenButton.js 98

Destroys the widget. Should be called if permanently removing the widget from layout.

#### isDestroyed() → Boolean
Widgets/FullscreenButton/FullscreenButton.js 90

##### Returns:

true if the object has been destroyed, false otherwise.